package com.ruoyi.dz.mapper;

import java.util.List;
import com.ruoyi.dz.domain.DzCardsOpen;

/**
 * 开卡申请Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-12
 */
public interface DzCardsOpenMapper 
{
    /**
     * 查询开卡申请
     * 
     * @param id 开卡申请主键
     * @return 开卡申请
     */
    public DzCardsOpen selectDzCardsOpenById(Long id);

    /**
     * 查询开卡申请列表
     * 
     * @param dzCardsOpen 开卡申请
     * @return 开卡申请集合
     */
    public List<DzCardsOpen> selectDzCardsOpenList(DzCardsOpen dzCardsOpen);

    /**
     * 新增开卡申请
     * 
     * @param dzCardsOpen 开卡申请
     * @return 结果
     */
    public int insertDzCardsOpen(DzCardsOpen dzCardsOpen);

    /**
     * 修改开卡申请
     * 
     * @param dzCardsOpen 开卡申请
     * @return 结果
     */
    public int updateDzCardsOpen(DzCardsOpen dzCardsOpen);

    /**
     * 删除开卡申请
     * 
     * @param id 开卡申请主键
     * @return 结果
     */
    public int deleteDzCardsOpenById(Long id);

    /**
     * 批量删除开卡申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDzCardsOpenByIds(Long[] ids);
}
